package com.xxfc.platform.activity.biz;

import org.springframework.stereotype.Service;

import com.xxfc.platform.activity.entity.ActivityRule;
import com.xxfc.platform.activity.mapper.ActivityRuleMapper;
import com.github.wxiaoqi.security.common.biz.BaseBiz;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 通用活动规则表
 *
 * @author zjw
 * @email 18178966185@163.com
 * @date 2019-07-16 14:04:22
 */
@Service
public class ActivityRuleBiz extends BaseBiz<ActivityRuleMapper,ActivityRule> {


     //获取最新的生效的活动
    public  ActivityRule getActity(){
        Example example=new Example(ActivityRule.class);
        example.createCriteria().andEqualTo("status",1).andEqualTo("isDel",0);
        example.orderBy("id desc");
        List<ActivityRule> list=mapper.selectByExample(example);
        if(list.size()>0){
          return  list.get(0);
        }
        return  null;
    }
}